Page 1 of 2 12 LastLast
Results 1 to 10 of 13

Thread: Yast refuse to upgrade KDE4.22

  1. #1
    Join Date
    Jul 2008
    Location
    Narvik, Norway
    Posts
    393

    Default Yast refuse to upgrade KDE4.22

    Hi!
    I've been upgrading KDE to 4.22
    Yast allways show newer versin if avaiable.

    But now it only want to downgrade KDE to 4.1
    KDE4-runtime shows installed: 4.2.2-97.4
    Alternativ: 4.1.3-4.2.9

    Now all installed KDE-software that is version 4.2.2 only have as alternativ an earlier version.
    What happend?

  2. #2

    Default Re: Yast refuse to upgrade KDE4.22

    Check the priority of the KDE repo in Yast, make sure it is lower then the original KDE repo's.

  3. #3
    Join Date
    Jul 2008
    Location
    Narvik, Norway
    Posts
    393

    Default Re: Yast refuse to upgrade KDE4.22

    Hi!
    I have so many repo!
    - KDE-community
    - KDE-backport
    - KDE-factory

    In what priority should i set them to?

  4. #4
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,743
    Blog Entries
    20

    Default Re: Yast refuse to upgrade KDE4.22

    set them all to 99
    but honestly if you don't understand all this you shouldn't be messing with it. Too many repos end's up in disaster for the inexperienced
    Repository Management - openSUSE Forums
    Leap 15.1_KDE
    My Articles Was I any help? If yes: Click the star below

  5. #5
    Join Date
    Jul 2008
    Location
    Narvik, Norway
    Posts
    393

    Default Re: Yast refuse to upgrade KDE4.22

    Well thay all have priority 99. The problem is that Yast don't want to give me more upgrades for KDE4.22
    Is like 4.22 is been removed from repo.

    Anyone know when KDE4.3 is out?

    RS

    Quote Originally Posted by caf4926 View Post
    set them all to 99
    but honestly if you don't understand all this you shouldn't be messing with it. Too many repos end's up in disaster for the inexperienced
    Repository Management - openSUSE Forums

  6. #6
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,743
    Blog Entries
    20

    Default Re: Yast refuse to upgrade KDE4.22

    Post terminal output of

    Code:
    zypper lr -u -p
    Leap 15.1_KDE
    My Articles Was I any help? If yes: Click the star below

  7. #7
    Join Date
    Jul 2008
    Location
    Narvik, Norway
    Posts
    393

    Default Re: Yast refuse to upgrade KDE4.22

    Sorry! I have Norwegian language, so maybe you dont understand anything here!



    # | Alias | Navn | aktivert | Oppdater | Prioritet | URI
    ---+--------------------------+-----------------------------------------------------+----------+----------+-----------+-------------------------------------------------------------------------------------
    1 | KDE:KDE4:Factoryesktop | KDE:KDE4:Factoryesktop | Ja | Ja | 99 | Index of /repositories/KDE:/KDE4:/Factory:/Desktop/openSUSE_11.1
    2 | Novell_Client | Novell Client | Nei | Nei | 99 | iso:///?iso=Novell_Client_SLE11-i586-20081218-CD1.iso&url=file:///home/ros/ISO/
    3 | OpenSUSE_11.1_DVD-iso | OpenSUSE 11.1 DVD-iso | Ja | Nei | 99 | iso:///?iso=su1110.001.iso&url=file:///home/ros/ISO/
    4 | X11GL | X11GL | Ja | Ja | 99 | Index of /repositories/X11:/XGL/openSUSE_11.1
    5 | home:nesnomis:games | home:nesnomis:games | Ja | Ja | 99 | Index of /repositories/home:/nesnomis:/games/openSUSE_11.1
    6 | openSUSE 11.1-0 | openSUSE 11.1-0 | Nei | Nei | 99 | cd:///?devices=/dev/sr0
    7 | repo | NVIDIA Repository | Ja | Ja | 99 | http://download.nvidia.com/opensuse/11.1
    8 | repo-debug | openSUSE-11.1-Debug | Nei | Ja | 100 | Index of /debug/distribution/11.1/repo/oss
    9 | repo-non-oss | openSUSE-11.1-Non-Oss | Ja | Ja | 100 | Index of /distribution/11.1/repo/non-oss
    10 | repo-oss | openSUSE-11.1-Oss | Ja | Ja | 100 | Index of /distribution/11.1/repo/oss
    11 | repo-source | openSUSE-11.1-Source | Ja | Ja | 100 | Index of /source/distribution/11.1/repo/oss
    12 | repo-update | openSUSE-11.1-Update | Ja | Ja | 20 | Index of /update/11.1
    13 | repo_1 | VideoLan Repository | Ja | Ja | 99 | Index of /pub/videolan/vlc/SuSE/11.1/
    14 | repo_10 | openSUSE BuildService - Mozilla | Ja | Ja | 99 | Index of /repositories/mozilla/openSUSE_11.1
    15 | repo_11 | openSUSE BuildService - X11:Compiz | Ja | Ja | 99 | Index of /repositories/X11:/Compiz/openSUSE_11.1
    16 | repo_2 | Packman Repository | Ja | Ja | 99 | Index of /pub/packman/suse/11.1
    17 | repo_3 | openSUSE BuildService - Drivere for webkamera | Ja | Ja | 99 | Index of /repositories/drivers:/webcam/openSUSE_11.1
    18 | repo_4 | openSUSE BuildService - KDE Tilbakeporteringer | Nei | Ja | 99 | Index of /repositories/KDE:/Backports/openSUSE_11.1
    19 | repo_5 | openSUSE BuildService - KDE-fellesskapet | Ja | Ja | 99 | Index of /repositories/KDE:/Community/openSUSE_11.1
    20 | repo_6 | openSUSE BuildService - Spill | Ja | Ja | 99 | Index of /repositories/games/openSUSE_11.1
    21 | repo_7 | openSUSE BuildService - Virtualisering (VirtualBox) | Ja | Ja | 99 | Index of /repositories/Virtualization:/VirtualBox/openSUSE_11.1
    22 | repo_8 | openSUSE BuildService - OpenOffice.org | Ja | Ja | 99 | Index of /repositories/OpenOffice.org:/STABLE/openSUSE_11.1
    23 | repo_9 | openSUSE BuildService - Wine CVS-pakker | Ja | Ja | 99 | Index of /repositories/Emulators:/Wine/openSUSE_11.1

  8. #8
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,743
    Blog Entries
    20

    Default Re: Yast refuse to upgrade KDE4.22

    Updates is set to 20, change it to 99

    You have too many repo's !!

    and you have the wrong kde4 repo to remain stable:
    change to:these 2:
    Index of /repositories/KDE:/42/openSUSE_11.1

    Index of /repositories/KDE:/KDE4:/Community/openSUSE_11.1_KDE_42

    you need to update unconditionally in both those 2 repos
    Leap 15.1_KDE
    My Articles Was I any help? If yes: Click the star below

  9. #9
    Join Date
    Dec 2008
    Location
    Braunschweig (Germany)
    Posts
    284

    Default Re: Yast refuse to upgrade KDE4.22

    Alternative suggestions:
    You can also disable the Opensuse Updates, which provide new versions of some KDE4.1.3 files.
    After installing KDE 4.2.2 you can enable again this repository.

    Greetings

    Michael

  10. #10

    Default Re: Yast refuse to upgrade KDE4.22

    Does the auto updater applet update KDE to the latest version by itself with the opensuse.org repos?
    Or is it something I should not be messing with?

Page 1 of 2 12 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •